CREATE TABLE iby_bank_acct_owner_chng_hist (
    ACCT_OWNER_CHANGE_HISTORY_ID      NUMBER(18, 0) ,
    PREV_ACCT_OWNER_CHANGE_HIST_ID    NUMBER(18, 0) ,
    ACCOUNT_OWNER_ID                  NUMBER(18, 0)     NOT NULL,
    ACCOUNT_OWNER_PARTY_ID            NUMBER(18, 0)     NOT NULL,
    OWNER_VERIF_STATUS_CODE           VARCHAR2(120)     NOT NULL,
    PROVIDER_VERIF_RESPONSE_CODE      VARCHAR2(120) ,
    PROVIDER_VERIF_RESPONSE_MSG       VARCHAR2(1020),
    STATUS_CODE                       VARCHAR2(120) ,
    INTERNAL_OWNER_VERIF_RESP_CODE    VARCHAR2(120) ,
    PAYMENT_SYSTEM_ACCOUNT_ID         NUMBER(18, 0) ,
    VERIFICATION_REQ_REFERENCE_ID     VARCHAR2(320) ,
    APPROVAL_STATUS                   VARCHAR2(120)     NOT NULL,
    PRIMARY_FLAG                      VARCHAR2(4)   ,
    ORIGIN_APPLICATION_ID             NUMBER        ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    CREATED_FROM                      VARCHAR2(120) ,
    START_DATE                        DATE          ,
    END_DATE                          DATE          ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ACCT_OWNER_ENTITY_TYPE_CODE       VARCHAR2(120) ,
    ORIGINAL_VERIF_STATUS_CODE        VARCHAR2(120) ,
    VERIFICATION_REQUEST_TIMESTAMP    TIMESTAMP(6)  ,
    VERIFICATION_RESP_TIMESTAMP       TIMESTAMP(6)  ,
    EXT_BANK_ACCT_CHANGE_HIST_ID      NUMBER(18, 0) ,
    ACCT_OWNER_CHANGE_HISTORY_ID      NUMBER(18, 0) ,
    PREV_ACCT_OWNER_CHANGE_HIST_ID    NUMBER(18, 0) ,
    ACCOUNT_OWNER_ID                  NUMBER(18, 0)     NOT NULL,
    ACCOUNT_OWNER_PARTY_ID            NUMBER(18, 0)     NOT NULL,
    OWNER_VERIF_STATUS_CODE           VARCHAR2(120)     NOT NULL,
    PROVIDER_VERIF_RESPONSE_CODE      VARCHAR2(120) ,
    PROVIDER_VERIF_RESPONSE_MSG       VARCHAR2(1020),
    INTERNAL_OWNER_VERIF_RESP_CODE    VARCHAR2(120) ,
    PAYMENT_SYSTEM_ACCOUNT_ID         NUMBER(18, 0) ,
    VERIFICATION_REQ_REFERENCE_ID     VARCHAR2(320) ,
    APPROVAL_STATUS                   VARCHAR2(120)     NOT NULL,
    PRIMARY_FLAG                      VARCHAR2(4)   ,
    ORIGIN_APPLICATION_ID             NUMBER        ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    CREATED_FROM                      VARCHAR2(120) ,
    START_DATE                        DATE          ,
    END_DATE                          DATE          ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    STATUS_CODE                       VARCHAR2(120) ,
    ACCT_OWNER_ENTITY_TYPE_CODE       VARCHAR2(120) ,
    ORIGINAL_VERIF_STATUS_CODE        VARCHAR2(120) ,
    VERIFICATION_REQUEST_TIMESTAMP    TIMESTAMP(6)  ,
    VERIFICATION_RESP_TIMESTAMP       TIMESTAMP(6)  ,
    EXT_BANK_ACCT_CHANGE_HIST_ID      NUMBER(18, 0) ,
    CONSTRAINT pk_iby_bank_acct_owner_chng_hist PRIMARY KEY (ACCT_OWNER_CHANGE_HISTORY_ID, ACCT_OWNER_CHANGE_HISTORY_ID)
);
